package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

public class Example20_DualThereminSound {
	public static void main(String[] args) {

		Hamster hamster1 = new Hamster();
		Hamster hamster2 = new Hamster();

		// wait until two robots are ready
		Runner.waitUntilReady();

		double pitch1 = 0, pitch2 = 0;
		int proximity;
		for(int i = 0; i < 500; ++i) { // 10 seconds
			proximity = hamster1.leftProximity();
			if(proximity < 10) proximity = 0;
			pitch1 = (pitch1 * 9 + proximity) / 10;
			hamster1.note((int)pitch1);

			proximity = hamster2.leftProximity();
			if(proximity < 10) proximity = 0;
			pitch2 = (pitch2 * 9 + proximity) / 10;
			hamster2.note((int)pitch2);

			Runner.wait(20); // 20 msec
		}
		
		// clear notes
		hamster1.note(0);
		hamster2.note(0);
	}
}
