package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

public class Example21_MutipleBasicMovement {
	public static void main(String[] args) {

		final int NUM_ROBOTS = 4;
		Hamster[] hamsters = new Hamster[NUM_ROBOTS];

		for(int i = 0; i < NUM_ROBOTS; ++i) {
			hamsters[i] = new Hamster();
		}

		// wait until four robots are ready
		Runner.waitUntilReady();

		for(int i = 0; i < 10; ++i) {
			// move forward
			for(Hamster hamster : hamsters) {
				hamster.wheels(50, 50);
			}
			Runner.wait(500); // 0.5 seconds

			// move backward
			for(Hamster hamster : hamsters) {
				hamster.wheels(-50, -50);
			}
			Runner.wait(500); // 0.5 seconds

			// turn left
			for(Hamster hamster : hamsters) {
				hamster.wheels(-50, 50);
			}
			Runner.wait(500); // 0.5 seconds
		}

		// stop
		for(Hamster hamster : hamsters) {
			hamster.stop();
		}
	}
}
