package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Executable;
import org.roboid.runtime.Runner;

public class Example24_Advanced_ThereminSound {
	public static void main(String[] args) {

		final Hamster hamster = new Hamster();

		// set a periodic (20 msec) callback
		Runner.setExecutable(new Executable() {
			private double pitch;

			@Override
			public void execute() {
				int proximity = hamster.leftProximity();
				if(proximity < 10) {
					proximity = 0;
				}
				pitch = (pitch * 9 + proximity) / 10;
				hamster.note((int)pitch);
			}
		});

		Runner.wait(10000); // 10 seconds
		hamster.note(0); // clear note
	}
}
