package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Executable;
import org.roboid.runtime.Runner;

public class Example25_Advanced_SimpleHandFollower {
	public static void main(String[] args) {

		final Hamster hamster = new Hamster();

		// set a periodic (20 msec) callback
		Runner.setExecutable(new Executable() {
			@Override
			public void execute() {
				int proximity = hamster.leftProximity();
				if(proximity > 15) {
					hamster.leftWheel((40 - proximity) * 4);
				} else {
					hamster.leftWheel(0);
				}

				// right wheel
				proximity = hamster.rightProximity();
				if(proximity > 15) {
					hamster.rightWheel((40 - proximity) * 4);
				} else {
					hamster.rightWheel(0);
				}
			}
		});

		Runner.wait(10000); // 10 seconds
		hamster.stop(); // stop
	}
}
